Subject: Amazon Mexico – Madison Park | Retail Vendor Partnership
From: "Galo Hernandez, Alexa Sherlotte" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Cc: "Morales, Montserrat" <[email-masked]>
Date: Wed, 25 Jun 2025 02:06:57 +0000

Hello team,

Hope you are doing fine. I’m Alexa Galo, Account Manager of new Retail Vendors for Amazon Mexico. I’m contacting you because we’ve identified a strong sales potential for your products in the Mexican market, and we’d love to explore the opportunity of working together.

We’re inviting you to become a direct Amazon Vendor in Mexico — a model that works just like in the U.S. Your catalog would be sourced directly by Amazon Mexico, and we would manage the entire logistics process: from pickup at your warehouse to final delivery to customers. We can source your products either from the US or directly from your manufacturing country—our logistics operation is flexible and fully equipped to handle shipments from any origin.

We truly believe your brand could thrive in this growing market, and we’re here to make the expansion as seamless as possible. If you are interested, you can schedule me a call on this link: https://prelude.amazon.com/s/fmQiRv8jb/TRvB9F. If you believe this email should be redirected to another team, feel free to forward it – I’d appreciate it.

Looking forward to connecting soon!

Alexa Galo
Retail Vendor Recruitment | Amazon México